"""Reddit databaes models."""
from datetime import datetime

from beanie import Document

from jarvis_core.db.utils import NowField


class Subreddit(Document):
    """Subreddit object."""

    display_name: str
    over18: bool = False


class SubredditFollow(Document):
    """Subreddit Follow object."""

    active: bool = True
    display_name: str
    channel: int
    guild: int
    admin: int
    created_at: datetime = NowField()

    class Setting:
        name = "subredditfollow"
